# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
original_verbose, $VERBOSE = $VERBOSE, nil
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
$VERBOSE = original_verbose
require 'blueauth/version'

Gem::Specification.new do |spec|
  spec.name          = "blueauth"
  spec.version       = Blueauth::VERSION
  spec.authors       = ["zoltan-izso"]
  spec.email         = ["zoltan.izso@hu.ibm.com"]

  spec.summary       = %q{Bluepages Authentication for IBMers within IBM's Intranet}
  spec.description   = %q{Bluepages Authentication for IBMers within IBM's Intranet}
  #spec.homepage      = "Currently there is no homepage specified"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'net-ldap', '~>0.15'

  spec.add_development_dependency "bundler", "~> 2.1"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "diff-lcs", "~> 1.2.5"
end
